Bug 178981 - [WHLSL] Ternary expressions are unimplemented
Summary: [WHLSL] Ternary expressions are unimplemented
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGPU (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks: 176199 188400
  Show dependency treegraph
 
Reported: 2017-10-28 08:27 PDT by Myles C. Maxfield
Modified: 2018-10-13 15:58 PDT (History)
6 users (show)

See Also:


Attachments
WIP (9.43 KB, patch)
2018-08-10 19:39 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (12.00 KB, patch)
2018-08-10 21:37 PDT, Myles C. Maxfield
tdenney: review+
Details | Formatted Diff | Diff
Patch (14.42 KB, patch)
2018-08-11 07:34 PDT, Myles C. Maxfield
sbarati: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2017-10-28 08:27:32 PDT
Implement ternary statements
Comment 1 Robin Morisset 2018-05-29 16:18:48 PDT
Additionally, they are present in the parser, but with the ':' part missing.
Comment 2 Myles C. Maxfield 2018-08-10 19:39:57 PDT
Created attachment 346953 [details]
WIP
Comment 3 Myles C. Maxfield 2018-08-10 21:37:52 PDT
Created attachment 346958 [details]
Patch
Comment 4 Myles C. Maxfield 2018-08-11 07:34:35 PDT
Created attachment 346960 [details]
Patch
Comment 5 Saam Barati 2018-08-15 15:36:39 PDT
Comment on attachment 346960 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=346960&action=review

> Tools/WebGPUShadingLanguageRI/Parse.js:542
> +        consume(":");

Should we add a test for this `consume` too? I don't think you added one
Comment 6 WebKit Commit Bot 2018-08-23 14:29:14 PDT
Comment on attachment 346960 [details]
Patch

Rejecting attachment 346960 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 346960, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=346960&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=178981&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 346960 from bug 178981.
Fetching: https://bugs.webkit.org/attachment.cgi?id=346960
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Saam Barati']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 14 diffs from patch file(s).
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/WebGPUShadingLanguageRI/All.js
Hunk #1 FAILED at 149.
1 out of 1 hunk FAILED -- saving rejects to file Tools/WebGPUShadingLanguageRI/All.js.rej
patching file Tools/WebGPUShadingLanguageRI/Checker.js
Hunk #1 succeeded at 648 (offset -24 lines).
patching file Tools/WebGPUShadingLanguageRI/Evaluator.js
patching file Tools/WebGPUShadingLanguageRI/NormalUsePropertyResolver.js
patching file Tools/WebGPUShadingLanguageRI/Parse.js
Hunk #1 succeeded at 520 (offset -18 lines).
patching file Tools/WebGPUShadingLanguageRI/PropertyResolver.js
patching file Tools/WebGPUShadingLanguageRI/Rewriter.js
Hunk #1 succeeded at 164 (offset -34 lines).
patching file Tools/WebGPUShadingLanguageRI/SPIRV.html
Hunk #1 FAILED at 137.
1 out of 1 hunk FAILED -- saving rejects to file Tools/WebGPUShadingLanguageRI/SPIRV.html.rej
patching file Tools/WebGPUShadingLanguageRI/TernaryExpression.js
patching file Tools/WebGPUShadingLanguageRI/Test.html
Hunk #1 FAILED at 127.
1 out of 1 hunk FAILED -- saving rejects to file Tools/WebGPUShadingLanguageRI/Test.html.rej
patching file Tools/WebGPUShadingLanguageRI/Test.js
Hunk #1 succeeded at 198 with fuzz 1.
patching file Tools/WebGPUShadingLanguageRI/Visitor.js
Hunk #1 succeeded at 162 (offset -46 lines).
patching file Tools/WebGPUShadingLanguageRI/index.html
Hunk #1 FAILED at 127.
1 out of 1 hunk FAILED -- saving rejects to file Tools/WebGPUShadingLanguageRI/index.html.rej

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Saam Barati']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/8963062
Comment 7 Myles C. Maxfield 2018-08-23 14:43:09 PDT
Committed r235249: <https://trac.webkit.org/changeset/235249>
Comment 8 Radar WebKit Bug Importer 2018-08-23 14:44:20 PDT
<rdar://problem/43659034>
Comment 9 Myles C. Maxfield 2018-08-24 16:33:36 PDT
Committed r235338: <https://trac.webkit.org/changeset/235338>
Comment 10 Myles C. Maxfield 2018-10-13 15:58:00 PDT
Migrated to https://github.com/gpuweb/WHLSL/issues/122